Schedule notification
curl --request POST \
--url https://api.nops.io/v1/notifications/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"recipientEmail": "finops@example.com",
"subject": "Weekly canvas report",
"body": "Attached is your scheduled canvas PDF.",
"canvasId": "clxcanvas01",
"scheduleType": "recurring",
"scheduledAt": "2026-07-20T14:00:00.000Z",
"recurrenceFrequency": "weekly",
"recurrenceTimezone": "America/New_York",
"recurrenceWeekday": 1,
"recurrenceDayOfMonth": null,
"includeClaraAnalysis": false
}
'import requests
url = "https://api.nops.io/v1/notifications/schedule"
payload = {
"recipientEmail": "finops@example.com",
"subject": "Weekly canvas report",
"body": "Attached is your scheduled canvas PDF.",
"canvasId": "clxcanvas01",
"scheduleType": "recurring",
"scheduledAt": "2026-07-20T14:00:00.000Z",
"recurrenceFrequency": "weekly",
"recurrenceTimezone": "America/New_York",
"recurrenceWeekday": 1,
"recurrenceDayOfMonth": None,
"includeClaraAnalysis": False
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
recipientEmail: 'finops@example.com',
subject: 'Weekly canvas report',
body: JSON.stringify('Attached is your scheduled canvas PDF.'),
canvasId: 'clxcanvas01',
scheduleType: 'recurring',
scheduledAt: '2026-07-20T14:00:00.000Z',
recurrenceFrequency: 'weekly',
recurrenceTimezone: 'America/New_York',
recurrenceWeekday: 1,
recurrenceDayOfMonth: null,
includeClaraAnalysis: false
})
};
fetch('https://api.nops.io/v1/notifications/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/notifications/schedule"
payload := strings.NewReader("{\n \"recipientEmail\": \"finops@example.com\",\n \"subject\": \"Weekly canvas report\",\n \"body\": \"Attached is your scheduled canvas PDF.\",\n \"canvasId\": \"clxcanvas01\",\n \"scheduleType\": \"recurring\",\n \"scheduledAt\": \"2026-07-20T14:00:00.000Z\",\n \"recurrenceFrequency\": \"weekly\",\n \"recurrenceTimezone\": \"America/New_York\",\n \"recurrenceWeekday\": 1,\n \"recurrenceDayOfMonth\": null,\n \"includeClaraAnalysis\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "clxnotif01",
"recipientEmail": "finops@example.com",
"scheduledAt": "2026-07-20T18:00:00.000Z",
"scheduleType": "recurring",
"recurrenceFrequency": "weekly",
"recurrenceTimezone": "America/New_York",
"recurrenceWeekday": 1,
"recurrenceDayOfMonth": null,
"cronExpression": "0 14 * * 1",
"status": "pending",
"explorerReportId": null,
"canvasId": "clxcanvas01"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Notifications
Schedule notification
POST
https://api.nops.io
/
v1
/
notifications
/
schedule
Schedule notification
curl --request POST \
--url https://api.nops.io/v1/notifications/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"recipientEmail": "finops@example.com",
"subject": "Weekly canvas report",
"body": "Attached is your scheduled canvas PDF.",
"canvasId": "clxcanvas01",
"scheduleType": "recurring",
"scheduledAt": "2026-07-20T14:00:00.000Z",
"recurrenceFrequency": "weekly",
"recurrenceTimezone": "America/New_York",
"recurrenceWeekday": 1,
"recurrenceDayOfMonth": null,
"includeClaraAnalysis": false
}
'import requests
url = "https://api.nops.io/v1/notifications/schedule"
payload = {
"recipientEmail": "finops@example.com",
"subject": "Weekly canvas report",
"body": "Attached is your scheduled canvas PDF.",
"canvasId": "clxcanvas01",
"scheduleType": "recurring",
"scheduledAt": "2026-07-20T14:00:00.000Z",
"recurrenceFrequency": "weekly",
"recurrenceTimezone": "America/New_York",
"recurrenceWeekday": 1,
"recurrenceDayOfMonth": None,
"includeClaraAnalysis": False
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
recipientEmail: 'finops@example.com',
subject: 'Weekly canvas report',
body: JSON.stringify('Attached is your scheduled canvas PDF.'),
canvasId: 'clxcanvas01',
scheduleType: 'recurring',
scheduledAt: '2026-07-20T14:00:00.000Z',
recurrenceFrequency: 'weekly',
recurrenceTimezone: 'America/New_York',
recurrenceWeekday: 1,
recurrenceDayOfMonth: null,
includeClaraAnalysis: false
})
};
fetch('https://api.nops.io/v1/notifications/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/notifications/schedule"
payload := strings.NewReader("{\n \"recipientEmail\": \"finops@example.com\",\n \"subject\": \"Weekly canvas report\",\n \"body\": \"Attached is your scheduled canvas PDF.\",\n \"canvasId\": \"clxcanvas01\",\n \"scheduleType\": \"recurring\",\n \"scheduledAt\": \"2026-07-20T14:00:00.000Z\",\n \"recurrenceFrequency\": \"weekly\",\n \"recurrenceTimezone\": \"America/New_York\",\n \"recurrenceWeekday\": 1,\n \"recurrenceDayOfMonth\": null,\n \"includeClaraAnalysis\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "clxnotif01",
"recipientEmail": "finops@example.com",
"scheduledAt": "2026-07-20T18:00:00.000Z",
"scheduleType": "recurring",
"recurrenceFrequency": "weekly",
"recurrenceTimezone": "America/New_York",
"recurrenceWeekday": 1,
"recurrenceDayOfMonth": null,
"cronExpression": "0 14 * * 1",
"status": "pending",
"explorerReportId": null,
"canvasId": "clxcanvas01"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Body
application/json
JSON request body
Response
Schedule notification
JSON object
Was this page helpful?
⌘I